/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyuncs.dycdpapi.transform.v20171120;

import com.aliyuncs.dycdpapi.model.v20171120.NotifyRechargeResultResponse;
import com.aliyuncs.dycdpapi.model.v20171120.NotifyRechargeResultResponse.OrderNoticeResult;
import com.aliyuncs.transform.UnmarshallerContext;


public class NotifyRechargeResultResponseUnmarshaller {

	public static NotifyRechargeResultResponse unmarshall(NotifyRechargeResultResponse notifyRechargeResultResponse, UnmarshallerContext context) {
		
		notifyRechargeResultResponse.setRequestId(context.stringValue("NotifyRechargeResultResponse.RequestId"));
		notifyRechargeResultResponse.setCode(context.stringValue("NotifyRechargeResultResponse.Code"));
		notifyRechargeResultResponse.setMessage(context.stringValue("NotifyRechargeResultResponse.Message"));

		OrderNoticeResult orderNoticeResult = new OrderNoticeResult();
		orderNoticeResult.setStatus(context.stringValue("NotifyRechargeResultResponse.OrderNoticeResult.Status"));
		orderNoticeResult.setMsg(context.stringValue("NotifyRechargeResultResponse.OrderNoticeResult.Msg"));
		notifyRechargeResultResponse.setOrderNoticeResult(orderNoticeResult);
	 
	 	return notifyRechargeResultResponse;
	}
}